import { ChatCompletion } from '@baiducloud/qianfan'

export function useChat() {
  const AK = 'wY7bvMpkWeZbDVq9w3EDvpjU'
  const SK = 'XJwpiJWxs5HXkOtbo6tQrvYPZFJAWdAy'
  const client = new ChatCompletion({ QIANFAN_AK: AK, QIANFAN_SK: SK })

  const messages = ref([])
  const chatId = ref(null)
  const isLoading = ref(false)

  async function post(data) {
    isLoading.value = true
    const res = await client.chat({
      messages: [{ role: 'user', content: data.userChatInput }],
      disable_search: false,
      enable_citation: false
    })
    messages.value.push({ role: 'assistant', content: res.data.result.replaceAll('\n', '<br/>') })
    isLoading.value = false
  }

  return { chatId, messages, post, isLoading }
}
